package de.hsbo.fbv.bmg.geometry.mysimple;

/**
 * Klasse SimpleLine zur Speicherung von Streckensegmenten.
 * Konkrete Kindklasse von SimpleCurve, die Streckensegmente im R oder R speichert.
 * Zahlreiche Analyseoperationen in der GI knnen auf geometrische Untersuchungen der 
 * beteiligten Streckensegmente reduziert werden.
 * SimpleLine ist ein Beispiel fr eine typische Kindklasse, die als Spezialfall der
 * geometrischen Form ihrer Elternklasse (SimpleCurve) entsteht: Bis auf den Konsturktor
 * sind alle anderen Attribute und Methoden gleich.
 * @author A.Zimmermann, HS Bochum, 2011
 * @see BMG, Kap. 4.1
 * 
 */
public class SimpleLine extends SimpleCurve {
	
	/** Konstante: Versionsnummer */
	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor mit einem Anfangs- und einem Endpunkt.
	 * @param s
	 * @param e
	 */
	public SimpleLine(SimplePoint s, SimplePoint e) {
		super(new SimplePoint[] {s, e});
	}

}
