package de.hsbo.fbv.bmg.geometry.mysimple.demos;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import de.hsbo.fbv.bmg.graphics.viewer.simple.Map;

/**
 * Das Programm zeigt die Verwendung der SimpleGeometry-Objekte als Shapes.
 * Als Visualisierer dient die Klasse Map (siehe Kap. 3.3), die die
 * Geoobjekte in Layern gliedert.  
 * @author A.Zimmermann, HS Bochum, 2012
 *
 */
public class SimpleGeometryDemo extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					SimpleGeometryDemo frame = new SimpleGeometryDemo();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public SimpleGeometryDemo() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		this.setTitle("SimpleGeometry Demo");
		
		// *** Neue Map erzeugen und Layer einfgen ***
		Map map = new Map();
		map.add(SimpleGeometryFactory.createSurface());
		map.add(SimpleGeometryFactory.createPoints());
		// *** 
		
		// Map als JPanel-Objekt dem contentPane-Attribut zuweisen
		contentPane = map;
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
	}

}
