package de.hsbo.fbv.bmg.geometry.mysimple.demos;

import java.awt.BasicStroke;
import java.awt.Color;

import de.hsbo.fbv.bmg.geometry.mysimple.SimpleCurve;
import de.hsbo.fbv.bmg.geometry.mysimple.SimplePoint;
import de.hsbo.fbv.bmg.geometry.mysimple.SimpleSurface;
import de.hsbo.fbv.bmg.graphics.viewer.simple.Layer;
import de.hsbo.fbv.bmg.graphics.viewer.simple.ShapeLayer;

/**
 * Generator fr SimpleGeometry-Objekte.
 * @author A.Zimmermann, HS Bochum, 2012
 *
 */
public class SimpleGeometryFactory {
	
	/**
	 * Erzeugt einen Layer mit 100 SimplePoint-Objekten, die zufallsverteilt 
	 * ein Gebiet von 1000x1000 berdecken.
	 * @return
	 */
	public static Layer createPoints()  {
		ShapeLayer<SimplePoint> layer = new ShapeLayer<SimplePoint>();
		for(int i=0; i<100; i++) {
			layer.add(new SimplePoint(Math.random()*1000, Math.random()*1000));
		}
		layer.setDrawColor(Color.RED);
		layer.setStroke(new BasicStroke(7.f, BasicStroke.CAP_SQUARE, BasicStroke.JOIN_BEVEL));
		return layer;
	}
	
	/**
	 * Erzeugt einen Layer, das ein Polygon mit zufallsverteilten Eckpunkten enthlt.
	 * @return
	 */
	public static Layer createSurface()  {
		ShapeLayer<SimpleSurface> layer = new ShapeLayer<SimpleSurface>();
		int n = 10;
		SimplePoint[] pts = new SimplePoint[n];
		for(int i=0; i<n; i++) {
			pts[i] = new SimplePoint(Math.random()*1000, Math.random()*1000);
		}
		SimpleCurve crv = new SimpleCurve(pts);
		SimpleSurface srf = new SimpleSurface(crv); 
		layer.setDrawColor(Color.GREEN);
		layer.add(srf);
		layer.setStroke(new BasicStroke(3.f, BasicStroke.CAP_SQUARE, BasicStroke.JOIN_BEVEL));
		layer.setFillColor(Color.YELLOW);
		return layer;
	}
	
	

}
